
-- this is code to handle parsing the error line/s in ex.err

function removePreamble(sequence text)
    integer i
    sequence pa
    pa = "... called from "
    i = 1

    -- any preamble to remove?
    i = match(pa, text)

    if i = 0 then -- nothing to do
    elsif i = 1 then -- chop off pa
        text = text[length(pa)+1 .. length(text)]
    else -- er, sum'at went wrong
        text = ""
    end if

    return text
end function


global function getErrorFileAndLineNumber(sequence text)
-- rules are:
-- find last colon from end
-- digits to imm right must be numeric
-- chars to imm left must be path

-- on succes returns {sPathfile, iLinenumber}
-- otherwise returns 0 for failure

    integer colon, linenumber, len, pos
    sequence num, pathfile

    len = length(text)

    -- find last colon from end
    colon = 0
    for i = len to 1 by -1 do
        if text[i] = ':' then -- sep colon found
            colon = i
            exit
        end if
    end for

    -- line ok?
    if colon < 2 or colon = length(text) then
        return 0 -- colon not found or is in wrong place, must be faulty line
    end if

    -- get string of numbers
    num = {}
    pos = colon
    for i = colon + 1 to len do
        if not isNumber(text[i]) then -- post number char reached
            pos = i - 1
            exit
        elsif i = len then
            pos = len
        end if
    end for
    num = text[colon + 1 .. pos]

    -- exit if no numbers captured
    if not length(num) then -- nothing found
        return 0
    end if

    -- prepare to return on success
    linenumber = convertTextNumberToInteger(num) -- this function in ini.e
    pathfile = removePreamble(text[1..colon-1])

    if not length(pathfile) then
        return 0
    end if

    return {pathfile, linenumber}

end function