-- Euphoria keywords and routines built in to ex, exw and exu

constant total_keywords = 24, total_builtins = 162, total_menus = 100

--Variables for the language switched
global sequence keywords, builtins, menus
            keywords = repeat(0, total_keywords)
            builtins = repeat(0, total_builtins)
            menus = repeat(0, total_menus)

--Variables for language EUPHORIAN
global sequence euphoria_keywords, euphoria_builtins, euphoria_menus
            euphoria_keywords = keywords
            euphoria_builtins = builtins
            euphoria_menus = menus

--Variables for language ENGLISH
sequence english_keywords, english_builtins, english_menus
            english_keywords = keywords
            english_builtins = builtins
            english_menus = menus

--Variables for language PORTUGUESE
sequence portuguese_keywords, portuguese_builtins, portuguese_menus
            portuguese_keywords = keywords
            portuguese_builtins = builtins
            portuguese_menus = menus

--Variables for language SPANISH
sequence spanish_keywords, spanish_builtins, spanish_menus
            spanish_keywords = keywords
            spanish_builtins = builtins
            spanish_menus = menus

--Variables for language ITALIAN
sequence italian_keywords, italian_builtins, italian_menus
            italian_keywords = keywords
            italian_builtins = builtins
            italian_menus = menus

--Variables for language FRANCAIS
sequence francais_keywords, francais_builtins, francais_menus
            francais_keywords = keywords
            francais_builtins = builtins
            francais_menus = menus                     

--Variables for language GERMAN
sequence german_keywords, german_builtins, german_menus
            german_keywords = keywords
            german_builtins = builtins
            german_menus = menus                       

--Variables for language RUSSIAN
sequence russian_keywords, russian_builtins, russian_menus
            russian_keywords = keywords
            russian_builtins = builtins
            russian_menus = menus                      


            
--Change the language of all elements of editor
global procedure Set_Language(sequence language)
    
    euphoria_menus = english_menus

    if equal(language, "ENGLISH") then 
        menus = english_menus
        keywords = english_keywords
        builtins = english_builtins
    end if
    if equal(language, "PORTUGUESE") then 
        menus = portuguese_menus
        keywords = portuguese_keywords
        builtins = portuguese_builtins
    end if
    if equal(language, "SPANISH") then 
        menus = spanish_menus
        keywords = spanish_keywords
        builtins = spanish_builtins
    end if
    if equal(language, "ITALIAN") then 
        menus = italian_menus
        keywords = italian_keywords
        builtins = italian_builtins
    end if
    if equal(language, "FRANCAIS") then 
        menus = francais_menus
        keywords = francais_keywords
        builtins = francais_builtins
    end if
    if equal(language, "GERMAN") then 
        menus = german_menus
        keywords = german_keywords
        builtins = german_builtins
    end if  
    if equal(language, "RUSSIAN") then 
        menus = russian_menus
        keywords = russian_keywords
        builtins = russian_builtins
    end if

end procedure


--Constants of language Euphorian
global constant
    MENU_file = 1,
    MENU_new = 2,
    MENU_open = 3,
    MENU_reopen = 4,
    MENU_close = 5,
    MENU_save = 6,
    MENU_save_as = 7,
    MENU_print = 8,
    MENU_print_preview = 9,
    MENU_layout_editor = 10,
    MENU_exit = 11,
    MENU_edit = 12,
    MENU_undo = 13,
    MENU_redo = 14,
    MENU_cut = 15,
    MENU_cut_append = 16,
    MENU_copy = 17,
    MENU_copy_append = 18,
    MENU_paste = 19,
    MENU_select_all = 20,
    MENU_select_word = 21,
    MENU_comment = 22,
    MENU_uncomment = 23,
    MENU_increase_indent = 24,
    MENU_decrease_indent = 25,
    MENU_tools = 26,
    MENU_find = 27,
    MENU_find_next = 28,
    MENU_find_prior = 29,
    MENU_find_first_selected = 30,
    MENU_find_next_selected = 31,
    MENU_next_diference = 32,
    MENU_bind = 33,
    MENU_run = 34,
    MENU_parameterised_run = 35,
    MENU_jump_to_error = 36,
    MENU_compare = 37,
    MENU_directory_compare = 38,
    MENU_find_in_files = 39,
    MENU_macro = 40,
    MENU_parse_for_context_sensitive_help = 41,
    MENU_quick_jump = 42,
    MENU_reformat_reindent = 43,
    MENU_show_tabs = 44,
    MENU_language = 45,
    MENU_options = 46,
    MENU_auto_completation = 47,
    MENU_backup = 48,
    MENU_colour_and_fontsize = 49,
    MENU_files = 50,
    MENU_keyboard = 51,
    MENU_mouse = 52,
    MENU_horizontal_scroll_bar = 53,
    MENU_single_instance = 54,
    MENU_status_bar = 55,
    MENU_syntax_colouring = 56,
    MENU_window = 57,
    MENU_help = 58,
    MENU_context_keyboard = 59,
    MENU_euphoria_reference_manual = 60,
    MENU_editor_home_page = 61,
    MENU_editor_manual = 62,
    MENU_recent_user_contributions = 63,
    MENU_search_mailing_list_archive = 64,
    MENU_w32hflags = 65,
    MENU_win32lib_reference_manual = 66,
    MENU_window_styles = 67,
    MENU_about = 68,
    KEYWORD_include = 1,
    KEYWORD_global = 2,
    KEYWORD_constant = 3,
    KEYWORD_type = 4,
    KEYWORD_function = 5,
    KEYWORD_return = 6,
    KEYWORD_procedure = 7,
    KEYWORD_if = 8,
    KEYWORD_then = 9,
    KEYWORD_else = 10,
    KEYWORD_elsif = 11,
    KEYWORD_for = 12,
    KEYWORD_to = 13,
    KEYWORD_by = 14,
    KEYWORD_while = 15,
    KEYWORD_exit = 16,
    KEYWORD_do = 17,
    KEYWORD_end = 18,
    KEYWORD_not = 19,
    KEYWORD_and = 20,
    KEYWORD_or = 21,
    KEYWORD_xor = 22,
    KEYWORD_with = 23,
    KEYWORD_without = 24,
    BUILTIN_integer = 1,
    BUILTIN_atom = 2,
    BUILTIN_sequence = 3,
    BUILTIN_object = 4,
    BUILTIN_floor = 5,
    BUILTIN_value = 6,
    BUILTIN_length = 7,
    BUILTIN_equal = 8,
    BUILTIN_compare = 9,
    BUILTIN_find = 10,
    BUILTIN_match = 11,
    BUILTIN_prepend = 12,
    BUILTIN_append = 13,
    BUILTIN_repeat = 14,
    BUILTIN_sort = 15,
    BUILTIN_custom_sort = 16,
    BUILTIN_reverse = 17,
    BUILTIN_lower = 18,
    BUILTIN_upper = 19,
    BUILTIN_clear_screen = 20,
    BUILTIN_save_screen = 21,
    BUILTIN_position = 22,
    BUILTIN_get_position = 23,
    BUILTIN_cursor = 24,
    BUILTIN_scroll = 25,
    BUILTIN_wrap = 26,
    BUILTIN_text_rows = 27,
    BUILTIN_graphics_mode = 28,
    BUILTIN_use_vesa = 29,
    BUILTIN_video_config = 30,
    BUILTIN_draw_line = 31,
    BUILTIN_ellipse = 32,
    BUILTIN_polygon = 33,
    BUILTIN_palette = 34,
    BUILTIN_all_palette = 35,
    BUILTIN_get_all_palette = 36,
    BUILTIN_pixel = 37,
    BUILTIN_get_pixel = 38,
    BUILTIN_text_color = 39,
    BUILTIN_bk_color = 40,
    BUILTIN_set_active_page = 41,
    BUILTIN_get_active_page = 42,
    BUILTIN_set_display_page = 43,
    BUILTIN_get_display_page = 44,
    BUILTIN_read_bitmap = 45,
    BUILTIN_save_bitmap = 46,
    BUILTIN_display_image = 47,
    BUILTIN_save_image = 48,
    BUILTIN_display_text_image = 49,
    BUILTIN_save_text_image = 50,
    BUILTIN_puts = 51,
    BUILTIN_print = 52,
    BUILTIN_printf = 53,
    BUILTIN_sprint = 54,
    BUILTIN_sprintf = 55,
    BUILTIN_pretty_print = 56,
    BUILTIN_put_screen_char = 57,
    BUILTIN_get = 58,
    BUILTIN_get_bytes = 59,
    BUILTIN_getc = 60,
    BUILTIN_gets = 61,
    BUILTIN_get_key = 62,
    BUILTIN_wait_key = 63,
    BUILTIN_get_screen_char = 64,
    BUILTIN_prompt_number = 65,
    BUILTIN_prompt_string = 66,
    BUILTIN_message_box = 67,
    BUILTIN_rand = 68,
    BUILTIN_set_rand = 69,
    BUILTIN_remainder = 70,
    BUILTIN_sqrt = 71,
    BUILTIN_sound = 72,
    BUILTIN_power = 73,
    BUILTIN_getenv = 74,
    BUILTIN_date = 75,
    BUILTIN_time = 76,
    BUILTIN_current_dir = 77,
    BUILTIN_chdir = 78,
    BUILTIN_walk_dir = 79,
    BUILTIN_dir = 80,
    BUILTIN_wildcard_file = 81,
    BUILTIN_wildcard_match = 82,
    BUILTIN_open = 83,
    BUILTIN_close = 84,
    BUILTIN_seek = 85,
    BUILTIN_where = 86,
    BUILTIN_lock_file = 87,
    BUILTIN_unlock_file = 88,
    BUILTIN_flush = 89,
    BUILTIN_PI = 90,
    BUILTIN_sin = 91,
    BUILTIN_cos = 92,
    BUILTIN_tan = 93,
    BUILTIN_arcsin = 94,
    BUILTIN_arccos = 95,
    BUILTIN_arctan = 96,
    BUILTIN_log = 97,
    BUILTIN_get_mouse = 98,
    BUILTIN_mouse_events = 99,
    BUILTIN_mouse_pointer = 100,
    BUILTIN_sleep = 101,
    BUILTIN_abort = 102,
    BUILTIN_allow_break = 103,
    BUILTIN_check_break = 104,
    BUILTIN_trace = 105,
    BUILTIN_profile = 106,
    BUILTIN_crash_message = 107,
    BUILTIN_crash_routine = 108,
    BUILTIN_crash_file = 109,
    BUILTIN_free_console = 110,
    BUILTIN_command_line = 111,
    BUILTIN_instance = 112,
    BUILTIN_system = 113,
    BUILTIN_platform = 114,
    BUILTIN_dos_interrupt = 115,
    BUILTIN_system_exec = 116,
    BUILTIN_open_dll = 117,
    BUILTIN_call = 118,
    BUILTIN_call_back = 119,
    BUILTIN_call_proc = 120,
    BUILTIN_call_func = 121,
    BUILTIN_routine_id = 122,
    BUILTIN_define_c_var = 123,
    BUILTIN_define_c_func = 124,
    BUILTIN_define_c_proc = 125,
    BUILTIN_c_proc = 126,
    BUILTIN_c_func = 127,
    BUILTIN_machine_func = 128,
    BUILTIN_machine_proc = 129,
    BUILTIN_and_bits = 130,
    BUILTIN_or_bits = 131,
    BUILTIN_xor_bits = 132,
    BUILTIN_not_bits = 133,
    BUILTIN_atom_to_float32 = 134,
    BUILTIN_float32_to_atom = 135,
    BUILTIN_atom_to_float64 = 136,
    BUILTIN_float64_to_atom = 137,
    BUILTIN_bytes_to_int = 138,
    BUILTIN_int_to_bytes = 139,
    BUILTIN_bits_to_int = 140,
    BUILTIN_int_to_bits = 141,
    BUILTIN_poke = 142,
    BUILTIN_poke4 = 143,
    BUILTIN_peek = 144,
    BUILTIN_peek4s = 145,
    BUILTIN_peek4u = 146,
    BUILTIN_set_vector = 147,
    BUILTIN_get_vector = 148,
    BUILTIN_tick_rate = 149,
    BUILTIN_lock_memory = 150,
    BUILTIN_register_block = 151,
    BUILTIN_unregister_block = 152,
    BUILTIN_mem_copy = 153,
    BUILTIN_mem_set = 154,
    BUILTIN_allocate_string = 155,
    BUILTIN_allocate = 156,
    BUILTIN_free = 157,
    BUILTIN_allocate_low = 158,
    BUILTIN_free_low = 159,
    BUILTIN_warning = 160,
    BUILTIN_type_check = 161,
    BUILTIN_profile_time = 162	




--Words in language EUPHORIAN
euphoria_keywords[KEYWORD_include] = "include"
euphoria_keywords[KEYWORD_global] = "global"
euphoria_keywords[KEYWORD_constant] = "constant"
euphoria_keywords[KEYWORD_type] = "type"
euphoria_keywords[KEYWORD_function] = "function"
euphoria_keywords[KEYWORD_return] = "return"
euphoria_keywords[KEYWORD_procedure] = "procedure"
euphoria_keywords[KEYWORD_if] = "if"
euphoria_keywords[KEYWORD_then] = "then"
euphoria_keywords[KEYWORD_else] = "else"
euphoria_keywords[KEYWORD_elsif] = "elsif"
euphoria_keywords[KEYWORD_for] = "for"
euphoria_keywords[KEYWORD_to] = "to"
euphoria_keywords[KEYWORD_by] = "by"
euphoria_keywords[KEYWORD_while] = "while"
euphoria_keywords[KEYWORD_exit] = "exit"
euphoria_keywords[KEYWORD_do] = "do"
euphoria_keywords[KEYWORD_end] = "end"
euphoria_keywords[KEYWORD_not] = "not"
euphoria_keywords[KEYWORD_and] = "and"
euphoria_keywords[KEYWORD_or] = "or"
euphoria_keywords[KEYWORD_xor] = "xor"
euphoria_keywords[KEYWORD_with] = "with"
euphoria_keywords[KEYWORD_without] = "without"
euphoria_builtins[BUILTIN_integer] = "integer"
euphoria_builtins[BUILTIN_atom] = "atom"
euphoria_builtins[BUILTIN_sequence] = "sequence"
euphoria_builtins[BUILTIN_object] = "object"
euphoria_builtins[BUILTIN_floor] = "floor"
euphoria_builtins[BUILTIN_value] = "value"
euphoria_builtins[BUILTIN_length] = "length"
euphoria_builtins[BUILTIN_equal] = "equal"
euphoria_builtins[BUILTIN_compare] = "compare"
euphoria_builtins[BUILTIN_find] = "find"
euphoria_builtins[BUILTIN_match] = "match"
euphoria_builtins[BUILTIN_prepend] = "prepend"
euphoria_builtins[BUILTIN_append] = "append"
euphoria_builtins[BUILTIN_repeat] = "repeat"
euphoria_builtins[BUILTIN_sort] = "sort"
euphoria_builtins[BUILTIN_custom_sort] = "custom_sort"
euphoria_builtins[BUILTIN_reverse] = "reverse"
euphoria_builtins[BUILTIN_lower] = "lower"
euphoria_builtins[BUILTIN_upper] = "upper"
euphoria_builtins[BUILTIN_clear_screen] = "clear_screen"
euphoria_builtins[BUILTIN_save_screen] = "save_screen"
euphoria_builtins[BUILTIN_position] = "position"
euphoria_builtins[BUILTIN_get_position] = "get_position"
euphoria_builtins[BUILTIN_cursor] = "cursor"
euphoria_builtins[BUILTIN_scroll] = "scroll"
euphoria_builtins[BUILTIN_wrap] = "wrap"
euphoria_builtins[BUILTIN_text_rows] = "text_rows"
euphoria_builtins[BUILTIN_graphics_mode] = "graphics_mode"
euphoria_builtins[BUILTIN_use_vesa] = "use_vesa"
euphoria_builtins[BUILTIN_video_config] = "video_config"
euphoria_builtins[BUILTIN_draw_line] = "draw_line"
euphoria_builtins[BUILTIN_ellipse] = "ellipse"
euphoria_builtins[BUILTIN_polygon] = "polygon"
euphoria_builtins[BUILTIN_palette] = "palette"
euphoria_builtins[BUILTIN_all_palette] = "all_palette"
euphoria_builtins[BUILTIN_get_all_palette] = "get_all_palette"
euphoria_builtins[BUILTIN_pixel] = "pixel"
euphoria_builtins[BUILTIN_get_pixel] = "get_pixel"
euphoria_builtins[BUILTIN_text_color] = "text_color"
euphoria_builtins[BUILTIN_bk_color] = "bk_color"
euphoria_builtins[BUILTIN_set_active_page] = "set_active_page"
euphoria_builtins[BUILTIN_get_active_page] = "get_active_page"
euphoria_builtins[BUILTIN_set_display_page] = "set_display_page"
euphoria_builtins[BUILTIN_get_display_page] = "get_display_page"
euphoria_builtins[BUILTIN_read_bitmap] = "read_bitmap"
euphoria_builtins[BUILTIN_save_bitmap] = "save_bitmap"
euphoria_builtins[BUILTIN_display_image] = "display_image"
euphoria_builtins[BUILTIN_save_image] = "save_image"
euphoria_builtins[BUILTIN_display_text_image] = "display_text_image"
euphoria_builtins[BUILTIN_save_text_image] = "save_text_image"
euphoria_builtins[BUILTIN_puts] = "puts"
euphoria_builtins[BUILTIN_print] = "print"
euphoria_builtins[BUILTIN_printf] = "printf"
euphoria_builtins[BUILTIN_sprint] = "sprint"
euphoria_builtins[BUILTIN_sprintf] = "sprintf"
euphoria_builtins[BUILTIN_pretty_print] = "pretty_print"
euphoria_builtins[BUILTIN_put_screen_char] = "put_screen_char"
euphoria_builtins[BUILTIN_get] = "get"
euphoria_builtins[BUILTIN_get_bytes] = "get_bytes"
euphoria_builtins[BUILTIN_getc] = "getc"
euphoria_builtins[BUILTIN_gets] = "gets"
euphoria_builtins[BUILTIN_get_key] = "get_key"
euphoria_builtins[BUILTIN_wait_key] = "wait_key"
euphoria_builtins[BUILTIN_get_screen_char] = "get_screen_char"
euphoria_builtins[BUILTIN_prompt_number] = "prompt_number"
euphoria_builtins[BUILTIN_prompt_string] = "prompt_string"
euphoria_builtins[BUILTIN_message_box] = "message_box"
euphoria_builtins[BUILTIN_rand] = "rand"
euphoria_builtins[BUILTIN_set_rand] = "set_rand"
euphoria_builtins[BUILTIN_remainder] = "remainder"
euphoria_builtins[BUILTIN_sqrt] = "sqrt"
euphoria_builtins[BUILTIN_sound] = "sound"
euphoria_builtins[BUILTIN_power] = "power"
euphoria_builtins[BUILTIN_getenv] = "getenv"
euphoria_builtins[BUILTIN_date] = "date"
euphoria_builtins[BUILTIN_time] = "time"
euphoria_builtins[BUILTIN_current_dir] = "current_dir"
euphoria_builtins[BUILTIN_chdir] = "chdir"
euphoria_builtins[BUILTIN_walk_dir] = "walk_dir"
euphoria_builtins[BUILTIN_dir] = "dir"
euphoria_builtins[BUILTIN_wildcard_file] = "wildcard_file"
euphoria_builtins[BUILTIN_wildcard_match] = "wildcard_match"
euphoria_builtins[BUILTIN_open] = "open"
euphoria_builtins[BUILTIN_close] = "close"
euphoria_builtins[BUILTIN_seek] = "seek"
euphoria_builtins[BUILTIN_where] = "where"
euphoria_builtins[BUILTIN_lock_file] = "lock_file"
euphoria_builtins[BUILTIN_unlock_file] = "unlock_file"
euphoria_builtins[BUILTIN_flush] = "flush"
euphoria_builtins[BUILTIN_PI] = "PI"
euphoria_builtins[BUILTIN_sin] = "sin"
euphoria_builtins[BUILTIN_cos] = "cos"
euphoria_builtins[BUILTIN_tan] = "tan"
euphoria_builtins[BUILTIN_arcsin] = "arcsin"
euphoria_builtins[BUILTIN_arccos] = "arccos"
euphoria_builtins[BUILTIN_arctan] = "arctan"
euphoria_builtins[BUILTIN_log] = "log"
euphoria_builtins[BUILTIN_get_mouse] = "get_mouse"
euphoria_builtins[BUILTIN_mouse_events] = "mouse_events"
euphoria_builtins[BUILTIN_mouse_pointer] = "mouse_pointer"
euphoria_builtins[BUILTIN_sleep] = "sleep"
euphoria_builtins[BUILTIN_abort] = "abort"
euphoria_builtins[BUILTIN_allow_break] = "allow_break"
euphoria_builtins[BUILTIN_check_break] = "check_break"
euphoria_builtins[BUILTIN_trace] = "trace"
euphoria_builtins[BUILTIN_profile] = "profile"
euphoria_builtins[BUILTIN_crash_message] = "crash_message"
euphoria_builtins[BUILTIN_crash_routine] = "crash_routine"
euphoria_builtins[BUILTIN_crash_file] = "crash_file"
euphoria_builtins[BUILTIN_free_console] = "free_console"
euphoria_builtins[BUILTIN_command_line] = "command_line"
euphoria_builtins[BUILTIN_instance] = "instance"
euphoria_builtins[BUILTIN_system] = "system"
euphoria_builtins[BUILTIN_platform] = "platform"
euphoria_builtins[BUILTIN_dos_interrupt] = "dos_interrupt"
euphoria_builtins[BUILTIN_system_exec] = "system_exec"
euphoria_builtins[BUILTIN_open_dll] = "open_dll"
euphoria_builtins[BUILTIN_call] = "call"
euphoria_builtins[BUILTIN_call_back] = "call_back"
euphoria_builtins[BUILTIN_call_proc] = "call_proc"
euphoria_builtins[BUILTIN_call_func] = "call_func"
euphoria_builtins[BUILTIN_routine_id] = "routine_id"
euphoria_builtins[BUILTIN_define_c_var] = "define_c_var"
euphoria_builtins[BUILTIN_define_c_func] = "define_c_func"
euphoria_builtins[BUILTIN_define_c_proc] = "define_c_proc"
euphoria_builtins[BUILTIN_c_proc] = "c_proc"
euphoria_builtins[BUILTIN_c_func] = "c_func"
euphoria_builtins[BUILTIN_machine_func] = "machine_func"
euphoria_builtins[BUILTIN_machine_proc] = "machine_proc"
euphoria_builtins[BUILTIN_and_bits] = "and_bits"
euphoria_builtins[BUILTIN_or_bits] = "or_bits"
euphoria_builtins[BUILTIN_xor_bits] = "xor_bits"
euphoria_builtins[BUILTIN_not_bits] = "not_bits"
euphoria_builtins[BUILTIN_atom_to_float32] = "atom_to_float32"
euphoria_builtins[BUILTIN_float32_to_atom] = "float32_to_atom"
euphoria_builtins[BUILTIN_atom_to_float64] = "atom_to_float64"
euphoria_builtins[BUILTIN_float64_to_atom] = "float64_to_atom"
euphoria_builtins[BUILTIN_bytes_to_int] = "bytes_to_int"
euphoria_builtins[BUILTIN_int_to_bytes] = "int_to_bytes"
euphoria_builtins[BUILTIN_bits_to_int] = "bits_to_int"
euphoria_builtins[BUILTIN_int_to_bits] = "int_to_bits"
euphoria_builtins[BUILTIN_poke] = "poke"
euphoria_builtins[BUILTIN_poke4] = "poke4"
euphoria_builtins[BUILTIN_peek] = "peek"
euphoria_builtins[BUILTIN_peek4s] = "peek4s"
euphoria_builtins[BUILTIN_peek4u] = "peek4u"
euphoria_builtins[BUILTIN_set_vector] = "set_vector"
euphoria_builtins[BUILTIN_get_vector] = "get_vector"
euphoria_builtins[BUILTIN_tick_rate] = "tick_rate"
euphoria_builtins[BUILTIN_lock_memory] = "lock_memory"
euphoria_builtins[BUILTIN_register_block] = "register_block"
euphoria_builtins[BUILTIN_unregister_block] = "unregister_block"
euphoria_builtins[BUILTIN_mem_copy] = "mem_copy"
euphoria_builtins[BUILTIN_mem_set] = "mem_set"
euphoria_builtins[BUILTIN_allocate_string] = "allocate_string"
euphoria_builtins[BUILTIN_allocate] = "allocate"
euphoria_builtins[BUILTIN_free] = "free"
euphoria_builtins[BUILTIN_allocate_low] = "allocate_low"
euphoria_builtins[BUILTIN_free_low] = "free_low"
euphoria_builtins[BUILTIN_warning] = "warning"
euphoria_builtins[BUILTIN_type_check] = "type_check"
euphoria_builtins[BUILTIN_profile_time] = "profile_time"





--Words in language ENGLISH
english_menus[MENU_file] = "File"
english_menus[MENU_new] = "New"
english_menus[MENU_open] = "Open"
english_menus[MENU_reopen] = "ReOpen"
english_menus[MENU_close] = "Close"
english_menus[MENU_save] = "Save"
english_menus[MENU_save_as] = "Save As"
english_menus[MENU_print] = "Print"
english_menus[MENU_print_preview] = "Print Preview"
english_menus[MENU_layout_editor] = "Layout Editor"
english_menus[MENU_exit] = "Exit"
english_menus[MENU_edit] = "Edit"
english_menus[MENU_undo] = "Undo"
english_menus[MENU_redo] = "Redo"
english_menus[MENU_cut] = "Cut"
english_menus[MENU_cut_append] = "Cut Append"
english_menus[MENU_copy] = "Copy"
english_menus[MENU_copy_append] = "Copy Append"
english_menus[MENU_paste] = "Paste"
english_menus[MENU_select_all] = "Select All"
english_menus[MENU_select_word] = "Select Word"
english_menus[MENU_comment] = "Comment"
english_menus[MENU_uncomment] = "Uncomment"
english_menus[MENU_increase_indent] = "Increase Indent"
english_menus[MENU_decrease_indent] = "Decrease Indent"
english_menus[MENU_tools] = "Tools"
english_menus[MENU_find] = "Find"
english_menus[MENU_find_next] = "Find Next"
english_menus[MENU_find_prior] = "Find Prior"
english_menus[MENU_find_first_selected] = "Find First Selected"
english_menus[MENU_find_next_selected] = "Find Next Selected"
english_menus[MENU_next_diference] = "Next Diference"
english_menus[MENU_bind] = "Bind"
english_menus[MENU_run] = "Run"
english_menus[MENU_parameterised_run] = "Parameterised Run"
english_menus[MENU_jump_to_error] = "Jump to Error"
english_menus[MENU_compare] = "Compare"
english_menus[MENU_directory_compare] = "Directory Compare"
english_menus[MENU_find_in_files] = "Find in Files"
english_menus[MENU_macro] = "Macro"
english_menus[MENU_parse_for_context_sensitive_help] = "Parse for Context Sensitive Help"
english_menus[MENU_quick_jump] = "Quick jump"
english_menus[MENU_reformat_reindent] = "Reformat (re-indent)+"
english_menus[MENU_show_tabs] = "Show tabs"
english_menus[MENU_language] = "Language"
english_menus[MENU_options] = "Options"
english_menus[MENU_auto_completation] = "Auto Completation"
english_menus[MENU_backup] = "Backup"
english_menus[MENU_colour_and_fontsize] = "Colour and Fontsize"
english_menus[MENU_files] = "Files"
english_menus[MENU_keyboard] = "Keyboard"
english_menus[MENU_mouse] = "Mouse"
english_menus[MENU_horizontal_scroll_bar] = "Horizontal Scroll Bar"
english_menus[MENU_single_instance] = "Single Instance"
english_menus[MENU_status_bar] = "Status bar"
english_menus[MENU_syntax_colouring] = "Syntax Colouring"
english_menus[MENU_window] = "Window"
english_menus[MENU_help] = "Help"
english_menus[MENU_context_keyboard] = "Context/Keyboard"
english_menus[MENU_euphoria_reference_manual] = "Euphoria Reference Manual"
english_menus[MENU_editor_home_page] = "Editor Home Page"
english_menus[MENU_editor_manual] = "Editor Manual"
english_menus[MENU_recent_user_contributions] = "Recent User Contribuitions"
english_menus[MENU_search_mailing_list_archive] = "Search Mailing List Archive"
english_menus[MENU_w32hflags] = "W32Hflags"
english_menus[MENU_win32lib_reference_manual] = "Win32Lib Reference Manual"
english_menus[MENU_window_styles] = "Window Styles"
english_menus[MENU_about] = "About"
english_keywords[KEYWORD_include] = "Include"
english_keywords[KEYWORD_global] = "Global"
english_keywords[KEYWORD_constant] = "Constant"
english_keywords[KEYWORD_type] = "Type"
english_keywords[KEYWORD_function] = "Function"
english_keywords[KEYWORD_return] = "Return"
english_keywords[KEYWORD_procedure] = "Procedure"
english_keywords[KEYWORD_if] = "If"
english_keywords[KEYWORD_then] = "Then"
english_keywords[KEYWORD_else] = "Else"
english_keywords[KEYWORD_elsif] = "ElsIf"
english_keywords[KEYWORD_for] = "For"
english_keywords[KEYWORD_to] = "To"
english_keywords[KEYWORD_by] = "By"
english_keywords[KEYWORD_while] = "While"
english_keywords[KEYWORD_exit] = "Exit"
english_keywords[KEYWORD_do] = "Do"
english_keywords[KEYWORD_end] = "End"
english_keywords[KEYWORD_not] = "Not"
english_keywords[KEYWORD_and] = "And"
english_keywords[KEYWORD_or] = "Or"
english_keywords[KEYWORD_xor] = "Xor"
english_keywords[KEYWORD_with] = "With"
english_keywords[KEYWORD_without] = "Without"
english_builtins[BUILTIN_integer] = "Integer"
english_builtins[BUILTIN_atom] = "Atom"
english_builtins[BUILTIN_sequence] = "Sequence"
english_builtins[BUILTIN_object] = "Object"
english_builtins[BUILTIN_floor] = "Floor"
english_builtins[BUILTIN_value] = "Value"
english_builtins[BUILTIN_length] = "Length"
english_builtins[BUILTIN_equal] = "Equal"
english_builtins[BUILTIN_compare] = "Compare"
english_builtins[BUILTIN_find] = "Find"
english_builtins[BUILTIN_match] = "Match"
english_builtins[BUILTIN_prepend] = "Prepend"
english_builtins[BUILTIN_append] = "Append"
english_builtins[BUILTIN_repeat] = "Repeat"
english_builtins[BUILTIN_sort] = "Sort"
english_builtins[BUILTIN_custom_sort] = "Custom_Sort"
english_builtins[BUILTIN_reverse] = "Reverse"
english_builtins[BUILTIN_lower] = "Lower"
english_builtins[BUILTIN_upper] = "Upper"
english_builtins[BUILTIN_clear_screen] = "Clear_Screen"
english_builtins[BUILTIN_save_screen] = "Save_Screen"
english_builtins[BUILTIN_position] = "Position"
english_builtins[BUILTIN_get_position] = "Get_Position"
english_builtins[BUILTIN_cursor] = "Cursor"
english_builtins[BUILTIN_scroll] = "Scroll"
english_builtins[BUILTIN_wrap] = "Wrap"
english_builtins[BUILTIN_text_rows] = "Text_Rows"
english_builtins[BUILTIN_graphics_mode] = "Graphics_Mode"
english_builtins[BUILTIN_use_vesa] = "Use_Vesa"
english_builtins[BUILTIN_video_config] = "Video_Config"
english_builtins[BUILTIN_draw_line] = "Draw_Line"
english_builtins[BUILTIN_ellipse] = "Ellipse"
english_builtins[BUILTIN_polygon] = "Polygon"
english_builtins[BUILTIN_palette] = "Palette"
english_builtins[BUILTIN_all_palette] = "All_Palette"
english_builtins[BUILTIN_get_all_palette] = "Get_all_Palette"
english_builtins[BUILTIN_pixel] = "Pixel"
english_builtins[BUILTIN_get_pixel] = "Get_Pixel"
english_builtins[BUILTIN_text_color] = "Text_Color"
english_builtins[BUILTIN_bk_color] = "Bk_Color"
english_builtins[BUILTIN_set_active_page] = "Set_Active_Page"
english_builtins[BUILTIN_get_active_page] = "Get_Active_Page"
english_builtins[BUILTIN_set_display_page] = "Set_Display_Page"
english_builtins[BUILTIN_get_display_page] = "Get_Display_Page"
english_builtins[BUILTIN_read_bitmap] = "Read_Bitmap"
english_builtins[BUILTIN_save_bitmap] = "Save_Bitmap"
english_builtins[BUILTIN_display_image] = "Display_Image"
english_builtins[BUILTIN_save_image] = "Save_Image"
english_builtins[BUILTIN_display_text_image] = "Display_Text_Image"
english_builtins[BUILTIN_save_text_image] = "Save_Text_Image"
english_builtins[BUILTIN_puts] = "Puts"
english_builtins[BUILTIN_print] = "Print"
english_builtins[BUILTIN_printf] = "Printf"
english_builtins[BUILTIN_sprint] = "Sprint"
english_builtins[BUILTIN_sprintf] = "Sprintf"
english_builtins[BUILTIN_pretty_print] = "Pretty_Print"
english_builtins[BUILTIN_put_screen_char] = "Put_Screen_Char"
english_builtins[BUILTIN_get] = "Get"
english_builtins[BUILTIN_get_bytes] = "Get_Bytes"
english_builtins[BUILTIN_getc] = "GetC"
english_builtins[BUILTIN_gets] = "GetS"
english_builtins[BUILTIN_get_key] = "Get_Key"
english_builtins[BUILTIN_wait_key] = "Wait_Key"
english_builtins[BUILTIN_get_screen_char] = "Get_Screen_Char"
english_builtins[BUILTIN_prompt_number] = "Prompt_Number"
english_builtins[BUILTIN_prompt_string] = "Prompt_String"
english_builtins[BUILTIN_message_box] = "Message_Box"
english_builtins[BUILTIN_rand] = "Rand"
english_builtins[BUILTIN_set_rand] = "Set_Rand"
english_builtins[BUILTIN_remainder] = "Remainder"
english_builtins[BUILTIN_sqrt] = "SQRT"
english_builtins[BUILTIN_sound] = "Sound"
english_builtins[BUILTIN_power] = "Power"
english_builtins[BUILTIN_getenv] = "GetEnv"
english_builtins[BUILTIN_date] = "Date"
english_builtins[BUILTIN_time] = "Time"
english_builtins[BUILTIN_current_dir] = "Current_Dir"
english_builtins[BUILTIN_chdir] = "ChDir"
english_builtins[BUILTIN_walk_dir] = "Walk_Dir"
english_builtins[BUILTIN_dir] = "Dir"
english_builtins[BUILTIN_wildcard_file] = "Wildcard_File"
english_builtins[BUILTIN_wildcard_match] = "Wildcard_Match"
english_builtins[BUILTIN_open] = "Open"
english_builtins[BUILTIN_close] = "Close"
english_builtins[BUILTIN_seek] = "Seek"
english_builtins[BUILTIN_where] = "Where"
english_builtins[BUILTIN_lock_file] = "Lock_File"
english_builtins[BUILTIN_unlock_file] = "Unlock_File"
english_builtins[BUILTIN_flush] = "Flush"
english_builtins[BUILTIN_PI] = "PI"
english_builtins[BUILTIN_sin] = "Sin"
english_builtins[BUILTIN_cos] = "Cos"
english_builtins[BUILTIN_tan] = "Tan"
english_builtins[BUILTIN_arcsin] = "ArcSin"
english_builtins[BUILTIN_arccos] = "ArcCos"
english_builtins[BUILTIN_arctan] = "ArcTan"
english_builtins[BUILTIN_log] = "Log"
english_builtins[BUILTIN_get_mouse] = "Get_Mouse"
english_builtins[BUILTIN_mouse_events] = "Mouse_Events"
english_builtins[BUILTIN_mouse_pointer] = "Mouse_Pointer"
english_builtins[BUILTIN_sleep] = "Sleep"
english_builtins[BUILTIN_abort] = "Abort"
english_builtins[BUILTIN_allow_break] = "Allow_Break"
english_builtins[BUILTIN_check_break] = "Check_Break"
english_builtins[BUILTIN_trace] = "Trace"
english_builtins[BUILTIN_profile] = "Profile"
english_builtins[BUILTIN_crash_message] = "Crash_Message"
english_builtins[BUILTIN_crash_routine] = "Crash_Routine"
english_builtins[BUILTIN_crash_file] = "Crash_File"
english_builtins[BUILTIN_free_console] = "Free_Console"
english_builtins[BUILTIN_command_line] = "Command_Line"
english_builtins[BUILTIN_instance] = "Instance"
english_builtins[BUILTIN_system] = "System"
english_builtins[BUILTIN_platform] = "Platform"
english_builtins[BUILTIN_dos_interrupt] = "DOS_Interrupt"
english_builtins[BUILTIN_system_exec] = "System_Exec"
english_builtins[BUILTIN_open_dll] = "Open_DLL"
english_builtins[BUILTIN_call] = "Call"
english_builtins[BUILTIN_call_back] = "Call_Back"
english_builtins[BUILTIN_call_proc] = "Call_Proc"
english_builtins[BUILTIN_call_func] = "Call_Func"
english_builtins[BUILTIN_routine_id] = "Routine_ID"
english_builtins[BUILTIN_define_c_var] = "Define_C_Var"
english_builtins[BUILTIN_define_c_func] = "Define_C_Func"
english_builtins[BUILTIN_define_c_proc] = "Define_C_Proc"
english_builtins[BUILTIN_c_proc] = "C_Proc"
english_builtins[BUILTIN_c_func] = "C_Func"
english_builtins[BUILTIN_machine_func] = "Machine_Func"
english_builtins[BUILTIN_machine_proc] = "Machine_Proc"
english_builtins[BUILTIN_and_bits] = "And_Bits"
english_builtins[BUILTIN_or_bits] = "Or_Bits"
english_builtins[BUILTIN_xor_bits] = "Xor_Bits"
english_builtins[BUILTIN_not_bits] = "Not_Bits"
english_builtins[BUILTIN_atom_to_float32] = "Atom_to_Float32"
english_builtins[BUILTIN_float32_to_atom] = "Float32_to_Atom"
english_builtins[BUILTIN_atom_to_float64] = "Atom_to_Float64"
english_builtins[BUILTIN_float64_to_atom] = "Float64_to_Atom"
english_builtins[BUILTIN_bytes_to_int] = "Bytes_to_Int"
english_builtins[BUILTIN_int_to_bytes] = "Int_to_Bytes"
english_builtins[BUILTIN_bits_to_int] = "Bits_to_Int"
english_builtins[BUILTIN_int_to_bits] = "Int_to_Bits"
english_builtins[BUILTIN_poke] = "Poke"
english_builtins[BUILTIN_poke4] = "Poke4"
english_builtins[BUILTIN_peek] = "Peek"
english_builtins[BUILTIN_peek4s] = "Peek4s"
english_builtins[BUILTIN_peek4u] = "Peek4u"
english_builtins[BUILTIN_set_vector] = "Set_Vector"
english_builtins[BUILTIN_get_vector] = "Get_Vector"
english_builtins[BUILTIN_tick_rate] = "Tick_Rate"
english_builtins[BUILTIN_lock_memory] = "Lock_Memory"
english_builtins[BUILTIN_register_block] = "Register_Block"
english_builtins[BUILTIN_unregister_block] = "Unregister_Block"
english_builtins[BUILTIN_mem_copy] = "Mem_Copy"
english_builtins[BUILTIN_mem_set] = "Mem_Set"
english_builtins[BUILTIN_allocate_string] = "Allocate_String"
english_builtins[BUILTIN_allocate] = "Allocate"
english_builtins[BUILTIN_free] = "Free"
english_builtins[BUILTIN_allocate_low] = "Allocate_Low"
english_builtins[BUILTIN_free_low] = "Free_Low"
english_builtins[BUILTIN_warning] = "Warning"
english_builtins[BUILTIN_type_check] = "Type_Check"
english_builtins[BUILTIN_profile_time] = "Profile_Time"



--Words in language PORTUGUESE
portuguese_menus[MENU_file] = "Arquivo"
portuguese_menus[MENU_new] = "Novo"
portuguese_menus[MENU_open] = "Abrir"
portuguese_menus[MENU_reopen] = "ReAbrir"
portuguese_menus[MENU_close] = "Fechar"
portuguese_menus[MENU_save] = "Salvar"
portuguese_menus[MENU_save_as] = "Salvar Como"
portuguese_menus[MENU_print] = "Imprimir"
portuguese_menus[MENU_print_preview] = "Visualizar Impresso"
portuguese_menus[MENU_layout_editor] = "Editor de Layout"
portuguese_menus[MENU_exit] = "Sair"
portuguese_menus[MENU_edit] = "Editar"
portuguese_menus[MENU_undo] = "Desfazer"
portuguese_menus[MENU_redo] = "Refazer"
portuguese_menus[MENU_cut] = "Recortar"
portuguese_menus[MENU_cut_append] = "Recortar Especial"
portuguese_menus[MENU_copy] = "Copiar"
portuguese_menus[MENU_copy_append] = "Copiar Especial"
portuguese_menus[MENU_paste] = "Colar"
portuguese_menus[MENU_select_all] = "Selecionar Tudo"
portuguese_menus[MENU_select_word] = "Selecionar Palavra"
portuguese_menus[MENU_comment] = "Comentar"
portuguese_menus[MENU_uncomment] = "Descomentar"
portuguese_menus[MENU_increase_indent] = "Aumentar Indentao"
portuguese_menus[MENU_decrease_indent] = "Diminuir Indentao"
portuguese_menus[MENU_tools] = "Ferramentas"
portuguese_menus[MENU_find] = "Procurar"
portuguese_menus[MENU_find_next] = "Procurar Prximo"
portuguese_menus[MENU_find_prior] = "Procurar Anterior"
portuguese_menus[MENU_find_first_selected] = "Procurar Primeiro Selecionado"
portuguese_menus[MENU_find_next_selected] = "Procurar Proximo Selecionado"
portuguese_menus[MENU_next_diference] = "Proxima Diferena"
portuguese_menus[MENU_bind] = "Compilar"
portuguese_menus[MENU_run] = "Executar"
portuguese_menus[MENU_parameterised_run] = "Executar Parametrizado"
portuguese_menus[MENU_jump_to_error] = "Saltar para Erro"
portuguese_menus[MENU_compare] = "Compare"
portuguese_menus[MENU_directory_compare] = "Compare Pasta"
portuguese_menus[MENU_find_in_files] = "Procurar em Arquivos"
portuguese_menus[MENU_macro] = "Macro"
portuguese_menus[MENU_parse_for_context_sensitive_help] = "Analisar para Ajuda Sensitiva de Contexto"
portuguese_menus[MENU_quick_jump] = "Salto rpido"
portuguese_menus[MENU_reformat_reindent] = "Reformatar (re-indentar)+"
portuguese_menus[MENU_show_tabs] = "Mostrar tabs"
portuguese_menus[MENU_language] = "Linguagem"
portuguese_menus[MENU_options] = "Opes"
portuguese_menus[MENU_auto_completation] = "Auto Completao"
portuguese_menus[MENU_backup] = "Backup"
portuguese_menus[MENU_colour_and_fontsize] = "Cores e Tamanho de Fonte"
portuguese_menus[MENU_files] = "Arquivos"
portuguese_menus[MENU_keyboard] = "Teclado"
portuguese_menus[MENU_mouse] = "Mouse"
portuguese_menus[MENU_horizontal_scroll_bar] = "Barra de Rolagem Horizontal"
portuguese_menus[MENU_single_instance] = "Instancia Simples"
portuguese_menus[MENU_status_bar] = "Barra de Status"
portuguese_menus[MENU_syntax_colouring] = "Colorir Sintaxe"
portuguese_menus[MENU_window] = "Janela"
portuguese_menus[MENU_help] = "Ajuda"
portuguese_menus[MENU_context_keyboard] = "Contexto/Teclado"
portuguese_menus[MENU_euphoria_reference_manual] = "Manual de Referncia do Euphoria"
portuguese_menus[MENU_editor_home_page] = "Home Page do Euphoria Editor"
portuguese_menus[MENU_editor_manual] = "Manual do Euphoria Editor"
portuguese_menus[MENU_recent_user_contributions] = "Contribuies Recentes de Usurios "
portuguese_menus[MENU_search_mailing_list_archive] = "Procurar Arquivo de Lista de Emails"
portuguese_menus[MENU_w32hflags] = "W32Hflags"
portuguese_menus[MENU_win32lib_reference_manual] = "Manual de Referncia do Win32Lib"
portuguese_menus[MENU_window_styles] = "Estilos de Janela"
portuguese_menus[MENU_about] = "Sobre"
portuguese_keywords[KEYWORD_include] = "Inclua"
portuguese_keywords[KEYWORD_global] = "Global"
portuguese_keywords[KEYWORD_constant] = "Constante"
portuguese_keywords[KEYWORD_type] = "Tipo"
portuguese_keywords[KEYWORD_function] = "Funcao"
portuguese_keywords[KEYWORD_return] = "Retorne"
portuguese_keywords[KEYWORD_procedure] = "Procedimento"
portuguese_keywords[KEYWORD_if] = "Se"
portuguese_keywords[KEYWORD_then] = "Entao"
portuguese_keywords[KEYWORD_else] = "Senao"
portuguese_keywords[KEYWORD_elsif] = "Senao_Se"
portuguese_keywords[KEYWORD_for] = "Para"
portuguese_keywords[KEYWORD_to] = "Ate"
portuguese_keywords[KEYWORD_by] = "Por"
portuguese_keywords[KEYWORD_while] = "Enquanto"
portuguese_keywords[KEYWORD_exit] = "Saia"
portuguese_keywords[KEYWORD_do] = "Faca"
portuguese_keywords[KEYWORD_end] = "Fim"
portuguese_keywords[KEYWORD_not] = "Nao"
portuguese_keywords[KEYWORD_and] = "E"
portuguese_keywords[KEYWORD_or] = "Ou"
portuguese_keywords[KEYWORD_xor] = "Xou"
portuguese_keywords[KEYWORD_with] = "Com"
portuguese_keywords[KEYWORD_without] = "Sem"
portuguese_builtins[BUILTIN_integer] = "Inteiro"
portuguese_builtins[BUILTIN_atom] = "Atomo"
portuguese_builtins[BUILTIN_sequence] = "Sequencia"
portuguese_builtins[BUILTIN_object] = "Objeto"
portuguese_builtins[BUILTIN_floor] = "Base"
portuguese_builtins[BUILTIN_value] = "Valor"
portuguese_builtins[BUILTIN_length] = "Comprimento"
portuguese_builtins[BUILTIN_equal] = "Igual"
portuguese_builtins[BUILTIN_compare] = "Compare"
portuguese_builtins[BUILTIN_find] = "Procure"
portuguese_builtins[BUILTIN_match] = "Encontre"
portuguese_builtins[BUILTIN_prepend] = "Adicione_Inicio"
portuguese_builtins[BUILTIN_append] = "Adicione_Fim"
portuguese_builtins[BUILTIN_repeat] = "Repita"
portuguese_builtins[BUILTIN_sort] = "Ordene"
portuguese_builtins[BUILTIN_custom_sort] = "Ordene_Definindo"
portuguese_builtins[BUILTIN_reverse] = "Inverta"
portuguese_builtins[BUILTIN_lower] = "Minusculo"
portuguese_builtins[BUILTIN_upper] = "Maiusculo"
portuguese_builtins[BUILTIN_clear_screen] = "Limpe_Tela"
portuguese_builtins[BUILTIN_save_screen] = "Salve_Tela"
portuguese_builtins[BUILTIN_position] = "Posicao"
portuguese_builtins[BUILTIN_get_position] = "Pegue_Posicao"
portuguese_builtins[BUILTIN_cursor] = "Cursor"
portuguese_builtins[BUILTIN_scroll] = "Role"
portuguese_builtins[BUILTIN_wrap] = "Quebre_Texto"
portuguese_builtins[BUILTIN_text_rows] = "Linhas_Texto"
portuguese_builtins[BUILTIN_graphics_mode] = "Modo_Graficos"
portuguese_builtins[BUILTIN_use_vesa] = "Use_Vesa"
portuguese_builtins[BUILTIN_video_config] = "Configuracao_Video"
portuguese_builtins[BUILTIN_draw_line] = "Desenhe_Linha"
portuguese_builtins[BUILTIN_ellipse] = "Elipse"
portuguese_builtins[BUILTIN_polygon] = "Poligono"
portuguese_builtins[BUILTIN_palette] = "Paleta"
portuguese_builtins[BUILTIN_all_palette] = "Toda_Paleta"
portuguese_builtins[BUILTIN_get_all_palette] = "Pegue_toda_Paleta"
portuguese_builtins[BUILTIN_pixel] = "Pixel"
portuguese_builtins[BUILTIN_get_pixel] = "Pegue_Pixel"
portuguese_builtins[BUILTIN_text_color] = "Cor_Texto"
portuguese_builtins[BUILTIN_bk_color] = "Cor_Fundo"
portuguese_builtins[BUILTIN_set_active_page] = "Altere_Pagina_Ativa"
portuguese_builtins[BUILTIN_get_active_page] = "Pegue_Pagina_Ativa"
portuguese_builtins[BUILTIN_set_display_page] = "Altere_Pagina_Mostrada"
portuguese_builtins[BUILTIN_get_display_page] = "Pegue_Pagina_Mostrada"
portuguese_builtins[BUILTIN_read_bitmap] = "Leia_Bitmap"
portuguese_builtins[BUILTIN_save_bitmap] = "Salve_Bitmap"
portuguese_builtins[BUILTIN_display_image] = "Mostre_Imagem"
portuguese_builtins[BUILTIN_save_image] = "Salve_Imagem"
portuguese_builtins[BUILTIN_display_text_image] = "Mostre_Imagem_Texto"
portuguese_builtins[BUILTIN_save_text_image] = "Salve_Imagem_Texto"
portuguese_builtins[BUILTIN_puts] = "Poe"
portuguese_builtins[BUILTIN_print] = "Escreva"
portuguese_builtins[BUILTIN_printf] = "Escreva_Formatando"
portuguese_builtins[BUILTIN_sprint] = "Escreva_Variavel"
portuguese_builtins[BUILTIN_sprintf] = "Escreva_Variavel_Formatando"
portuguese_builtins[BUILTIN_pretty_print] = "Escreva_Perfeito"
portuguese_builtins[BUILTIN_put_screen_char] = "Poe_Caracter_Tela"
portuguese_builtins[BUILTIN_get] = "Pegue"
portuguese_builtins[BUILTIN_get_bytes] = "Pegue_Bytes"
portuguese_builtins[BUILTIN_getc] = "Pegue_Caracter"
portuguese_builtins[BUILTIN_gets] = "Pegue_Texto"
portuguese_builtins[BUILTIN_get_key] = "Pegue_Tecla"
portuguese_builtins[BUILTIN_wait_key] = "Espere_Tecla"
portuguese_builtins[BUILTIN_get_screen_char] = "Pegue_Caracter_Tela"
portuguese_builtins[BUILTIN_prompt_number] = "Peca_Numero"
portuguese_builtins[BUILTIN_prompt_string] = "Peca_Texto"
portuguese_builtins[BUILTIN_message_box] = "Caixa_Mensagem"
portuguese_builtins[BUILTIN_rand] = "Sorteie"
portuguese_builtins[BUILTIN_set_rand] = "Configure_Sorteio"
portuguese_builtins[BUILTIN_remainder] = "Resto"
portuguese_builtins[BUILTIN_sqrt] = "Raiz_Quadrada"
portuguese_builtins[BUILTIN_sound] = "Som"
portuguese_builtins[BUILTIN_power] = "Poder"
portuguese_builtins[BUILTIN_getenv] = "Pegue_Ambiente"
portuguese_builtins[BUILTIN_date] = "Data"
portuguese_builtins[BUILTIN_time] = "Hora"
portuguese_builtins[BUILTIN_current_dir] = "Pasta_Atual"
portuguese_builtins[BUILTIN_chdir] = "Altere_Pasta_Atual"
portuguese_builtins[BUILTIN_walk_dir] = "Percorra_Pasta"
portuguese_builtins[BUILTIN_dir] = "Liste_Pasta"
portuguese_builtins[BUILTIN_wildcard_file] = "Arquivo_Wildcard"
portuguese_builtins[BUILTIN_wildcard_match] = "Econtre_Wildcard"
portuguese_builtins[BUILTIN_open] = "Abra"
portuguese_builtins[BUILTIN_close] = "Feche"
portuguese_builtins[BUILTIN_seek] = "Posicione"
portuguese_builtins[BUILTIN_where] = "Onde"
portuguese_builtins[BUILTIN_lock_file] = "Bloqueie_Arquivo"
portuguese_builtins[BUILTIN_unlock_file] = "Desbloqueie_Arquivo"
portuguese_builtins[BUILTIN_flush] = "Flush"
portuguese_builtins[BUILTIN_PI] = "PI"
portuguese_builtins[BUILTIN_sin] = "Sen"
portuguese_builtins[BUILTIN_cos] = "Cos"
portuguese_builtins[BUILTIN_tan] = "Tan"
portuguese_builtins[BUILTIN_arcsin] = "Arco_Sen"
portuguese_builtins[BUILTIN_arccos] = "Arco_Cos"
portuguese_builtins[BUILTIN_arctan] = "Arco_Tan"
portuguese_builtins[BUILTIN_log] = "Log"
portuguese_builtins[BUILTIN_get_mouse] = "Pegue_Mouse"
portuguese_builtins[BUILTIN_mouse_events] = "Eventos_Mouse"
portuguese_builtins[BUILTIN_mouse_pointer] = "Ponteiro_Mouse"
portuguese_builtins[BUILTIN_sleep] = "Soneca"
portuguese_builtins[BUILTIN_abort] = "Aborte"
portuguese_builtins[BUILTIN_allow_break] = "Permita_Termino"
portuguese_builtins[BUILTIN_check_break] = "Verifique_Termino"
portuguese_builtins[BUILTIN_trace] = "Tracionador"
portuguese_builtins[BUILTIN_profile] = "Perfil"
portuguese_builtins[BUILTIN_crash_message] = "Mensagem_Crash"
portuguese_builtins[BUILTIN_crash_routine] = "Rotina_Crash"
portuguese_builtins[BUILTIN_crash_file] = "Arquivo_Crash"
portuguese_builtins[BUILTIN_free_console] = "Libere_Console"
portuguese_builtins[BUILTIN_command_line] = "Linha_Comando"
portuguese_builtins[BUILTIN_instance] = "Instancia"
portuguese_builtins[BUILTIN_system] = "Sistema"
portuguese_builtins[BUILTIN_platform] = "Plataforma"
portuguese_builtins[BUILTIN_dos_interrupt] = "Interrupcao_DOS"
portuguese_builtins[BUILTIN_system_exec] = "Execute_do_Sistema"
portuguese_builtins[BUILTIN_open_dll] = "Abra_DLL"
portuguese_builtins[BUILTIN_call] = "Chame"
portuguese_builtins[BUILTIN_call_back] = "Chame_Volta"
portuguese_builtins[BUILTIN_call_proc] = "Chame_Proc"
portuguese_builtins[BUILTIN_call_func] = "Chame_Func"
portuguese_builtins[BUILTIN_routine_id] = "ID_Rotina"
portuguese_builtins[BUILTIN_define_c_var] = "Defina_Var_C"
portuguese_builtins[BUILTIN_define_c_func] = "Defina_Func_C"
portuguese_builtins[BUILTIN_define_c_proc] = "Defina_Proc_C"
portuguese_builtins[BUILTIN_c_proc] = "Proc_C"
portuguese_builtins[BUILTIN_c_func] = "Func_C"
portuguese_builtins[BUILTIN_machine_func] = "Func_Maquina"
portuguese_builtins[BUILTIN_machine_proc] = "Proc_Maquina"
portuguese_builtins[BUILTIN_and_bits] = "E_Bits"
portuguese_builtins[BUILTIN_or_bits] = "Ou_Bits"
portuguese_builtins[BUILTIN_xor_bits] = "Xou_Bits"
portuguese_builtins[BUILTIN_not_bits] = "Nao_Bits"
portuguese_builtins[BUILTIN_atom_to_float32] = "Atomo_para_Flutuante32"
portuguese_builtins[BUILTIN_float32_to_atom] = "Flutuante32_para_Atomo"
portuguese_builtins[BUILTIN_atom_to_float64] = "Atomo_para_Flutuante64"
portuguese_builtins[BUILTIN_float64_to_atom] = "Flutuante64_para_Atomo"
portuguese_builtins[BUILTIN_bytes_to_int] = "Bytes_para_Int"
portuguese_builtins[BUILTIN_int_to_bytes] = "Int_para_Bytes"
portuguese_builtins[BUILTIN_bits_to_int] = "Bits_para_Int"
portuguese_builtins[BUILTIN_int_to_bits] = "Int_para_Bits"
portuguese_builtins[BUILTIN_poke] = "Jogue"
portuguese_builtins[BUILTIN_poke4] = "Jogue4"
portuguese_builtins[BUILTIN_peek] = "Puxe"
portuguese_builtins[BUILTIN_peek4s] = "Puxe4s"
portuguese_builtins[BUILTIN_peek4u] = "Puxe4u"
portuguese_builtins[BUILTIN_set_vector] = "Configure_Vetor"
portuguese_builtins[BUILTIN_get_vector] = "Pegue_Vetor"
portuguese_builtins[BUILTIN_tick_rate] = "Taxa_Tique"
portuguese_builtins[BUILTIN_lock_memory] = "Bloqueie_Memoria"
portuguese_builtins[BUILTIN_register_block] = "Registre_Bloco"
portuguese_builtins[BUILTIN_unregister_block] = "Desregistre_Bloco"
portuguese_builtins[BUILTIN_mem_copy] = "Copie_Memoria"
portuguese_builtins[BUILTIN_mem_set] = "Configure_Memoria"
portuguese_builtins[BUILTIN_allocate_string] = "Aloque_Texto"
portuguese_builtins[BUILTIN_allocate] = "Aloque"
portuguese_builtins[BUILTIN_free] = "Libere"
portuguese_builtins[BUILTIN_allocate_low] = "Aloque_Baixa"
portuguese_builtins[BUILTIN_free_low] = "Libere_Baixa"
portuguese_builtins[BUILTIN_warning] = "Aviso"
portuguese_builtins[BUILTIN_type_check] = "Verificar_Tipo"
portuguese_builtins[BUILTIN_profile_time] = "Tempo_Perfil"



--Words in language SPANISH
spanish_menus[MENU_file] = "Archivo"
spanish_menus[MENU_new] = "Nuevo"
spanish_menus[MENU_open] = "Abrir"
spanish_menus[MENU_reopen] = "ReAbrir"
spanish_menus[MENU_close] = "Cierrar"
spanish_menus[MENU_save] = "Salvar"
spanish_menus[MENU_save_as] = "Salvar Como"
spanish_menus[MENU_print] = "Imprimir"
spanish_menus[MENU_print_preview] = "Visualizar Impression"
spanish_menus[MENU_layout_editor] = "Editor de Layout"
spanish_menus[MENU_exit] = "Salir"
spanish_menus[MENU_edit] = "Editar"
spanish_menus[MENU_undo] = "Deshacer"
spanish_menus[MENU_redo] = "Rehacer"
spanish_menus[MENU_cut] = "Recortar"
spanish_menus[MENU_cut_append] = "Recortar Especial"
spanish_menus[MENU_copy] = "Copiar"
spanish_menus[MENU_copy_append] = "Copiar Especial"
spanish_menus[MENU_paste] = "Colar"
spanish_menus[MENU_select_all] = "Selecionar Tudo"
spanish_menus[MENU_select_word] = "Selecionar Palavra"
spanish_menus[MENU_comment] = "Comentar"
spanish_menus[MENU_uncomment] = "Descomentar"
spanish_menus[MENU_increase_indent] = "Aumentar Indentacion"
spanish_menus[MENU_decrease_indent] = "Diminuir Indentacion"
spanish_menus[MENU_tools] = "Herramientas"
spanish_menus[MENU_find] = "Procurar"
spanish_menus[MENU_find_next] = "Procurar Prximo"
spanish_menus[MENU_find_prior] = "Procurar Anterior"
spanish_menus[MENU_find_first_selected] = "Procurar Primeiro Selecionado"
spanish_menus[MENU_find_next_selected] = "Procurar Prximo Selecionado"
spanish_menus[MENU_next_diference] = "Prxima Diferena"
spanish_menus[MENU_bind] = "Compilar"
spanish_menus[MENU_run] = "Executar"
spanish_menus[MENU_parameterised_run] = "Executar Parametrizado"
spanish_menus[MENU_jump_to_error] = "Saltar para Erro"
spanish_menus[MENU_compare] = "Compare"
spanish_menus[MENU_directory_compare] = "Compare Pasta"
spanish_menus[MENU_find_in_files] = "Procurar en Archivos"
spanish_menus[MENU_macro] = "Macro"
spanish_menus[MENU_parse_for_context_sensitive_help] = "Analisar para Aiuda Sensitiva de Contexto"
spanish_menus[MENU_quick_jump] = "Salto rpido"
spanish_menus[MENU_reformat_reindent] = "Reformatar (re-indentar)+"
spanish_menus[MENU_show_tabs] = "Mostrar tabs"
spanish_menus[MENU_language] = "Linguagem"
spanish_menus[MENU_options] = "Opciones"
spanish_menus[MENU_auto_completation] = "Auto Completacion"
spanish_menus[MENU_backup] = "Backup"
spanish_menus[MENU_colour_and_fontsize] = "Colores y Tamao de Fuente"
spanish_menus[MENU_files] = "Archivos"
spanish_menus[MENU_keyboard] = "Teclado"
spanish_menus[MENU_mouse] = "Mouse"
spanish_menus[MENU_horizontal_scroll_bar] = "Barra de Rolagem Horizontal"
spanish_menus[MENU_single_instance] = "Instancia Simples"
spanish_menus[MENU_status_bar] = "Barra de Status"
spanish_menus[MENU_syntax_colouring] = "Colorir Sintaxe"
spanish_menus[MENU_window] = "Janela"
spanish_menus[MENU_help] = "Aiuda"
spanish_menus[MENU_context_keyboard] = "Contexto/Teclado"
spanish_menus[MENU_euphoria_reference_manual] = "Manual de Referencia del Euphoria"
spanish_menus[MENU_editor_home_page] = "Home Page del Euphoria Editor"
spanish_menus[MENU_editor_manual] = "Manual del Euphoria Editor"
spanish_menus[MENU_recent_user_contributions] = "Contribuiciones Recentes de Usurios "
spanish_menus[MENU_search_mailing_list_archive] = "Procurar Archivo de Lista de Emails"
spanish_menus[MENU_w32hflags] = "W32Hflags"
spanish_menus[MENU_win32lib_reference_manual] = "Manual de Referencia del Win32Lib"
spanish_menus[MENU_window_styles] = "Estilos de Janela"
spanish_menus[MENU_about] = "Sobre"
spanish_keywords[KEYWORD_include] = "Inclua"
spanish_keywords[KEYWORD_global] = "Global"
spanish_keywords[KEYWORD_constant] = "Constante"
spanish_keywords[KEYWORD_type] = "Tipo"
spanish_keywords[KEYWORD_function] = "Funcion"
spanish_keywords[KEYWORD_return] = "Retorne"
spanish_keywords[KEYWORD_procedure] = "Procedimiento"
spanish_keywords[KEYWORD_if] = "Si"
spanish_keywords[KEYWORD_then] = "Entonces"
spanish_keywords[KEYWORD_else] = "Sino"
spanish_keywords[KEYWORD_elsif] = "Sino_Si"
spanish_keywords[KEYWORD_for] = "Para"
spanish_keywords[KEYWORD_to] = "Hasta"
spanish_keywords[KEYWORD_by] = "Por"
spanish_keywords[KEYWORD_while] = "Mientras"
spanish_keywords[KEYWORD_exit] = "Saia"
spanish_keywords[KEYWORD_do] = "Haca"
spanish_keywords[KEYWORD_end] = "Fin"
spanish_keywords[KEYWORD_not] = "No"
spanish_keywords[KEYWORD_and] = "Y"
spanish_keywords[KEYWORD_or] = "O"
spanish_keywords[KEYWORD_xor] = "Xo"
spanish_keywords[KEYWORD_with] = "Con"
spanish_keywords[KEYWORD_without] = "Sin"
spanish_builtins[BUILTIN_integer] = "Entero"
spanish_builtins[BUILTIN_atom] = "Atomo"
spanish_builtins[BUILTIN_sequence] = "Secuencia"
spanish_builtins[BUILTIN_object] = "Objeto"
spanish_builtins[BUILTIN_floor] = "Base"
spanish_builtins[BUILTIN_value] = "Valor"
spanish_builtins[BUILTIN_length] = "Comprimiento"
spanish_builtins[BUILTIN_equal] = "Igual"
spanish_builtins[BUILTIN_compare] = "Compare"
spanish_builtins[BUILTIN_find] = "Procure"
spanish_builtins[BUILTIN_match] = "Encontre"
spanish_builtins[BUILTIN_prepend] = "Adicione_Inicio"
spanish_builtins[BUILTIN_append] = "Adicione_Fim"
spanish_builtins[BUILTIN_repeat] = "Repita"
spanish_builtins[BUILTIN_sort] = "Ordene"
spanish_builtins[BUILTIN_custom_sort] = "Ordene_Definindo"
spanish_builtins[BUILTIN_reverse] = "Inverta"
spanish_builtins[BUILTIN_lower] = "Minusculo"
spanish_builtins[BUILTIN_upper] = "Maiusculo"
spanish_builtins[BUILTIN_clear_screen] = "Limpe_Tela"
spanish_builtins[BUILTIN_save_screen] = "Salve_Tela"
spanish_builtins[BUILTIN_position] = "Posicao"
spanish_builtins[BUILTIN_get_position] = "Pegue_Posicao"
spanish_builtins[BUILTIN_cursor] = "Cursor"
spanish_builtins[BUILTIN_scroll] = "Role"
spanish_builtins[BUILTIN_wrap] = "Quebre_Texto"
spanish_builtins[BUILTIN_text_rows] = "Linhas_Texto"
spanish_builtins[BUILTIN_graphics_mode] = "Modo_Graficos"
spanish_builtins[BUILTIN_use_vesa] = "Use_Vesa"
spanish_builtins[BUILTIN_video_config] = "Configuracao_Video"
spanish_builtins[BUILTIN_draw_line] = "Desenhe_Linha"
spanish_builtins[BUILTIN_ellipse] = "Elipse"
spanish_builtins[BUILTIN_polygon] = "Poligono"
spanish_builtins[BUILTIN_palette] = "Paleta"
spanish_builtins[BUILTIN_all_palette] = "Toda_Paleta"
spanish_builtins[BUILTIN_get_all_palette] = "Pegue_toda_Paleta"
spanish_builtins[BUILTIN_pixel] = "Pixel"
spanish_builtins[BUILTIN_get_pixel] = "Pegue_Pixel"
spanish_builtins[BUILTIN_text_color] = "Color_Texto"
spanish_builtins[BUILTIN_bk_color] = "Color_Fundo"
spanish_builtins[BUILTIN_set_active_page] = "Altere_Pagina_Ativa"
spanish_builtins[BUILTIN_get_active_page] = "Pegue_Pagina_Ativa"
spanish_builtins[BUILTIN_set_display_page] = "Altere_Pagina_Mostrada"
spanish_builtins[BUILTIN_get_display_page] = "Pegue_Pagina_Mostrada"
spanish_builtins[BUILTIN_read_bitmap] = "Leia_Bitmap"
spanish_builtins[BUILTIN_save_bitmap] = "Salve_Bitmap"
spanish_builtins[BUILTIN_display_image] = "Mostre_Imagem"
spanish_builtins[BUILTIN_save_image] = "Salve_Imagem"
spanish_builtins[BUILTIN_display_text_image] = "Mostre_Imagem_Texto"
spanish_builtins[BUILTIN_save_text_image] = "Salve_Imagem_Texto"
spanish_builtins[BUILTIN_puts] = "Pone"
spanish_builtins[BUILTIN_print] = "Escreba"
spanish_builtins[BUILTIN_printf] = "Escreba_Formatando"
spanish_builtins[BUILTIN_sprint] = "Escreba_Variavel"
spanish_builtins[BUILTIN_sprintf] = "Escreba_Variavel_Formatando"
spanish_builtins[BUILTIN_pretty_print] = "Escreba_Perfeito"
spanish_builtins[BUILTIN_put_screen_char] = "Pone_Caracter_Tela"
spanish_builtins[BUILTIN_get] = "Pegue"
spanish_builtins[BUILTIN_get_bytes] = "Pegue_Bytes"
spanish_builtins[BUILTIN_getc] = "Pegue_Caracter"
spanish_builtins[BUILTIN_gets] = "Pegue_Texto"
spanish_builtins[BUILTIN_get_key] = "Pegue_Tecla"
spanish_builtins[BUILTIN_wait_key] = "Espere_Tecla"
spanish_builtins[BUILTIN_get_screen_char] = "Pegue_Caracter_Tela"
spanish_builtins[BUILTIN_prompt_number] = "Peca_Numero"
spanish_builtins[BUILTIN_prompt_string] = "Peca_Texto"
spanish_builtins[BUILTIN_message_box] = "Caixa_Mensaje"
spanish_builtins[BUILTIN_rand] = "Sorteie"
spanish_builtins[BUILTIN_set_rand] = "Configure_Sorteio"
spanish_builtins[BUILTIN_remainder] = "Resto"
spanish_builtins[BUILTIN_sqrt] = "Raiz_Quadrada"
spanish_builtins[BUILTIN_sound] = "Som"
spanish_builtins[BUILTIN_power] = "Poder"
spanish_builtins[BUILTIN_getenv] = "Pegue_Ambiente"
spanish_builtins[BUILTIN_date] = "Data"
spanish_builtins[BUILTIN_time] = "Huera"
spanish_builtins[BUILTIN_current_dir] = "Pasta_Atual"
spanish_builtins[BUILTIN_chdir] = "Altere_Pasta_Atual"
spanish_builtins[BUILTIN_walk_dir] = "Percorra_Pasta"
spanish_builtins[BUILTIN_dir] = "Liste_Pasta"
spanish_builtins[BUILTIN_wildcard_file] = "Archivo_Wildcard"
spanish_builtins[BUILTIN_wildcard_match] = "Econtre_Wildcard"
spanish_builtins[BUILTIN_open] = "Abra"
spanish_builtins[BUILTIN_close] = "Cierre"
spanish_builtins[BUILTIN_seek] = "Posicione"
spanish_builtins[BUILTIN_where] = "Onde"
spanish_builtins[BUILTIN_lock_file] = "Bloqueie_Archivo"
spanish_builtins[BUILTIN_unlock_file] = "Desbloqueie_Archivo"
spanish_builtins[BUILTIN_flush] = "Flush"
spanish_builtins[BUILTIN_PI] = "PI"
spanish_builtins[BUILTIN_sin] = "Sen"
spanish_builtins[BUILTIN_cos] = "Cos"
spanish_builtins[BUILTIN_tan] = "Tan"
spanish_builtins[BUILTIN_arcsin] = "Arco_Sen"
spanish_builtins[BUILTIN_arccos] = "Arco_Cos"
spanish_builtins[BUILTIN_arctan] = "Arco_Tan"
spanish_builtins[BUILTIN_log] = "Log"
spanish_builtins[BUILTIN_get_mouse] = "Pegue_Mouse"
spanish_builtins[BUILTIN_mouse_events] = "Eventos_Mouse"
spanish_builtins[BUILTIN_mouse_pointer] = "Ponteiro_Mouse"
spanish_builtins[BUILTIN_sleep] = "Soneca"
spanish_builtins[BUILTIN_abort] = "Aborte"
spanish_builtins[BUILTIN_allow_break] = "Permita_Termino"
spanish_builtins[BUILTIN_check_break] = "Verifique_Termino"
spanish_builtins[BUILTIN_trace] = "Tracionador"
spanish_builtins[BUILTIN_profile] = "Perfil"
spanish_builtins[BUILTIN_crash_message] = "Mensaje_Crash"
spanish_builtins[BUILTIN_crash_routine] = "Rotina_Crash"
spanish_builtins[BUILTIN_crash_file] = "Archivo_Crash"
spanish_builtins[BUILTIN_free_console] = "Libere_Console"
spanish_builtins[BUILTIN_command_line] = "Linha_Comando"
spanish_builtins[BUILTIN_instance] = "Instancia"
spanish_builtins[BUILTIN_system] = "Sistema"
spanish_builtins[BUILTIN_platform] = "Plataforma"
spanish_builtins[BUILTIN_dos_interrupt] = "Interrupcion_DOS"
spanish_builtins[BUILTIN_system_exec] = "Execute_del_Sistema"
spanish_builtins[BUILTIN_open_dll] = "Abra_DLL"
spanish_builtins[BUILTIN_call] = "Llame"
spanish_builtins[BUILTIN_call_back] = "Llame_Vuelta"
spanish_builtins[BUILTIN_call_proc] = "Llame_Proc"
spanish_builtins[BUILTIN_call_func] = "Llame_Func"
spanish_builtins[BUILTIN_routine_id] = "ID_Rotina"
spanish_builtins[BUILTIN_define_c_var] = "Defina_Var_C"
spanish_builtins[BUILTIN_define_c_func] = "Defina_Func_C"
spanish_builtins[BUILTIN_define_c_proc] = "Defina_Proc_C"
spanish_builtins[BUILTIN_c_proc] = "Proc_C"
spanish_builtins[BUILTIN_c_func] = "Func_C"
spanish_builtins[BUILTIN_machine_func] = "Func_Maquina"
spanish_builtins[BUILTIN_machine_proc] = "Proc_Maquina"
spanish_builtins[BUILTIN_and_bits] = "Y_Bits"
spanish_builtins[BUILTIN_or_bits] = "O_Bits"
spanish_builtins[BUILTIN_xor_bits] = "Xo_Bits"
spanish_builtins[BUILTIN_not_bits] = "No_Bits"
spanish_builtins[BUILTIN_atom_to_float32] = "Atomo_para_Flutuante32"
spanish_builtins[BUILTIN_float32_to_atom] = "Flutuante32_para_Atomo"
spanish_builtins[BUILTIN_atom_to_float64] = "Atomo_para_Flutuante64"
spanish_builtins[BUILTIN_float64_to_atom] = "Flutuante64_para_Atomo"
spanish_builtins[BUILTIN_bytes_to_int] = "Bytes_para_Int"
spanish_builtins[BUILTIN_int_to_bytes] = "Int_para_Bytes"
spanish_builtins[BUILTIN_bits_to_int] = "Bits_para_Int"
spanish_builtins[BUILTIN_int_to_bits] = "Int_para_Bits"
spanish_builtins[BUILTIN_poke] = "Jogue"
spanish_builtins[BUILTIN_poke4] = "Jogue4"
spanish_builtins[BUILTIN_peek] = "Puxe"
spanish_builtins[BUILTIN_peek4s] = "Puxe4s"
spanish_builtins[BUILTIN_peek4u] = "Puxe4u"
spanish_builtins[BUILTIN_set_vector] = "Configure_Vetor"
spanish_builtins[BUILTIN_get_vector] = "Pegue_Vetor"
spanish_builtins[BUILTIN_tick_rate] = "Taxa_Tique"
spanish_builtins[BUILTIN_lock_memory] = "Bloqueie_Memoria"
spanish_builtins[BUILTIN_register_block] = "Registre_Bloco"
spanish_builtins[BUILTIN_unregister_block] = "Desregistre_Bloco"
spanish_builtins[BUILTIN_mem_copy] = "Copie_Memoria"
spanish_builtins[BUILTIN_mem_set] = "Configure_Memoria"
spanish_builtins[BUILTIN_allocate_string] = "Aloque_Texto"
spanish_builtins[BUILTIN_allocate] = "Aloque"
spanish_builtins[BUILTIN_free] = "Libere"
spanish_builtins[BUILTIN_allocate_low] = "Aloque_Baixa"
spanish_builtins[BUILTIN_free_low] = "Libere_Baixa"
spanish_builtins[BUILTIN_warning] = "Aviso"
spanish_builtins[BUILTIN_type_check] = "Verificar_Tipo"
spanish_builtins[BUILTIN_profile_time] = "Tiempo_Perfil"