without trace

-- cursor.e
-- create an independent caret system to use with my editor
-- because windows can't! WELL, NOT VERY WELL FOR MY PURPOSES



integer cursorvisible,
        curX,
        curY,
        curWidth,
        timerhalftick

curWidth = 2

procedure displayCursor()
    -- paint cursor onto area
    setPenColor(MAIN, getColour(COLOURCURSOR))
    drawRectangle(
                MAIN,
                w32True,
                (curX-1) * getFontWidth() + editx,
                (curY-1) * getFontHeight() + edity,
                (curX-1) * getFontWidth() + editx + curWidth + getFontBold(),
                curY * getFontHeight() + edity )
end procedure

procedure undisplayCursor()
    bitBlt( MAIN,   -- dest
            (curX-1) * getFontWidth() + editx, -- x coord of dest
            (curY-1) * getFontHeight() + edity, -- y coord of dest
            getPixmapID(),  -- source
            (curX-1) * getFontWidth(),  -- x coord of source
            (curY-1) * getFontHeight(),     -- y coord of source
            curWidth + getFontBold(),   -- width
            getFontHeight(),    -- height
            SrcCopy )   -- type of operation
end procedure


global procedure setCursorAt(integer x, integer y)
-- set the x,y coords for the cursor
    curX = x
    curY = y
end procedure


global procedure onCursorTimer()

    -- should cursor be manipulated at all?
    if cursorvisible = w32False then
        return
    end if

    -- toggle flag for tick cycle
    if timerhalftick = w32True then
        undisplayCursor()
        timerhalftick = w32False
    else
        displayCursor()
        timerhalftick = w32True
    end if

end procedure


global procedure hideMyCursor()
    if cursorvisible = w32False  then
        return
    end if
    if timerhalftick = w32True then
        undisplayCursor()
        timerhalftick = w32False
    end if
    cursorvisible = w32False 
end procedure

global procedure showMyCursor()
    if cursorvisible = w32True then
        return
    end if
    cursorvisible = w32True
    timerhalftick = w32False
    onCursorTimer()
end procedure


global function createCursor(integer id)
    cursorvisible = w32False
    timerhalftick = w32False
    setTimer(MAIN, id, 420 )
    return id
end function    